Skip to main content
POST
Payments - External 3DS Authentication

Authorizations

api-key
string
header
required

Publishable keys are a type of keys that can be public and have limited scope of usage.

Path Parameters

payment_id
string
required

The identifier for payment

Body

application/json
client_secret
string
required

Client Secret

device_channel
enum<string>
required

Device Channel indicating whether request is coming from App or Browser

Available options:
APP,
BRW
threeds_method_comp_ind
enum<string>
required

Indicates if 3DS method data was successfully completed or not

Available options:
Y,
N,
U
sdk_information
object | null

SDK Information if request is from SDK

Response

Authentication created

trans_status
enum<string>
required

Indicates the transaction status

Available options:
Y,
N,
U,
A,
R,
C,
D,
I
three_ds_requestor_url
string
required

Three DS Requestor URL

acs_url
string | null

Access Server URL to be used for challenge submission

challenge_request
string | null

Challenge request which should be sent to acs_url

acs_reference_number
string | null

Unique identifier assigned by the EMVCo(Europay, Mastercard and Visa)

acs_trans_id
string | null

Unique identifier assigned by the ACS to identify a single transaction

three_dsserver_trans_id
string | null

Unique identifier assigned by the 3DS Server to identify a single transaction

acs_signed_content
string | null

Contains the JWS object created by the ACS for the ARes(Authentication Response) message

three_ds_requestor_app_url
string | null

Merchant app declaring their URL within the CReq message so that the Authentication app can call the Merchant app after OOB authentication has occurred